POST
/
v1
/
customer
/
{customerId}
/
account
/
{accountId}
/
confirmation
/
send
Send account confirmation letter
curl --request POST \
  --url https://api.next.orenda.finance/v1/customer/{customerId}/account/{accountId}/confirmation/send \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "userType": "custodian"
}
'
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({userType: 'custodian'})
};

fetch('https://api.next.orenda.finance/v1/customer/{customerId}/account/{accountId}/confirmation/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://api.next.orenda.finance/v1/customer/{customerId}/account/{accountId}/confirmation/send"

payload = { "userType": "custodian" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
{
  "success": true,
  "accountId": "a1b2c3d4-5e6f-7081-92a3-b4c5d6e7f809",
  "documentId": "f4e3d2c1-b0a9-4877-8665-5443322110ff",
  "locale": "en",
  "sentAt": "2026-06-29T20:03:14.000Z"
}
{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "The request could not be processed. Check the request parameters and body and try again."
}
}
{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "The request could not be processed. Check the request parameters and body and try again."
}
}
{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "The request could not be processed. Check the request parameters and body and try again."
}
}
{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "The request could not be processed. Check the request parameters and body and try again."
}
}

Authorizations

Authorization
string
header
required

The back-office user's access token.

Path Parameters

customerId
string<uuid>
required

The customer's ID.

accountId
string<uuid>
required

The account's ID.

Query Parameters

programId
string
required

The program the customer/account belongs to. Required on every request.

locale
string

Locale for the generated confirmation letter, e.g. en.

Example:

"en"

Body

application/json
userType
string
required

The recipient type the confirmation letter is generated for.

Example:

"custodian"

Response

The confirmation letter was generated and sent.

Standard mutation envelope. Additional fields may be present depending on the operation.

success
boolean
Example:

true